SDL for iPhone (iOS 4.2)

Does SDL 1.3 compile with the SDK for iOS 4.2? Originally I had the SDK for
iOS 3.2 and when I tried to compile the xcode project for iPhone it
generated a lot of errors, so I updated to the latest (stable) iOS SDK and
now it won’t compile at all.

Perhaps there is a .sh file I need to run or some other step to configure
it?

Ken